Tech Tip: NFA 9.2.1 Embedded Java

Document created by Christopher_Walsh Employee on Oct 16, 2014Last modified by Christopher_Walsh Employee on Oct 20, 2014
Version 4Show Document
  • View in full screen mode

Beginning with NFA 9.2.1 you will no longer need to install your own version of Java.

 

The required version of Java JRE will be installed automatically by the NFA software and hard coded into the software.

 

This also means the Java\jre\bin directory is no longer required to be in the System's PATH variable for New installations.

 

For existing installations however if you are upgrading from NFA 9.2.0, you will need to keep your current version of Java in place and in your System Environment Variables as many of the services will still reference the existing Java JRE and not the new embedded Java.

 

You should not uninstall or upgrade the existing Java if you will be upgrading from NFA 9.2.0.

 

If you do change the version of Java on the server, you will likely see that your "CA Performance Center SSO" Service will not start.

For instructions on how to recover from this, see Tech Tips: NFA 9.2.1 SSO Service will not start after upgrade

Attachments

    Outcomes